<template>
  <router-view></router-view>
  <div class="loading" v-show="loading" role="alert">
    <div class="loading-animate"></div>
  </div>
</template>

<script>

import { mapActions } from 'vuex';

export default {
  components: {
  },
  data() {
    return {
      loading: false,
    };
  },
  methods: {
    ...mapActions('auth', ['tryLogIn']),
  },
  async created() {
    this.loading = true;
    // eslint-disable-next-line no-return-assign
    this.tryLogIn().finally(() => (this.loading = false));
    this.$store.dispatch('getSubjects');
    this.$store.dispatch('getTrajectories');
  },
};
</script>

<style scoped lang="scss">
.loading-animate {
  border: 8px solid #f3f3f3;
  border-radius: 50%;
  border-top: 8px solid $my-blue;
  border-bottom: 8px solid $my-blue;
  width: 60px;
  height: 60px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}
.loading {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  z-index: 6;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
</style>
